<?php

namespace App\Imports;

use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\WithChunkReading;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Imports\HeadingRowFormatter;
use App\Jobs\ImportArtistChunkJob;
use App\Jobs\ImportSongChunkJob;

class DataImport implements ToCollection, WithHeadingRow, WithChunkReading
{
    protected string $modelName;
    public function __construct(string $modelName)
    {
        HeadingRowFormatter::default('none');
        $this->modelName= $modelName;
    }
    public function collection(Collection $rows)
    {
        if($this->modelName=='Song'){
            ImportSongChunkJob::dispatch($rows);
        }else if($this->modelName=='Artist'){
            ImportArtistChunkJob::dispatch($rows);
        }else{

        }
    }
    public function chunkSize(): int
    {
        return 1000;
    }

    public function headingRow(): int
    {
        return 1;
    }
}